Skip to main content
Monitoring & Collection/Profiling

GetHeapSummary

Get heap memory summary statistics for the specified session.

GET/api/v1/profiling/heap/{sessionId}/summary

Operation ID

GetHeapSummary

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • sessionId
    StringRequired

    Session identifier to retrieve heap summary for.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • sessionId
    String

    Session identifier this heap summary belongs to.

    Example: sess-heap001

  • totalAllocBytes
    String

    Cumulative bytes allocated since the process started.

    Example: 104857600

  • heapInuseBytes
    String

    Bytes currently in use by the heap.

    Example: 52428800

  • gcCount
    Long

    Number of completed garbage collection cycles.

    Example: 14

  • nextGcTargetBytes
    String

    Heap size target that will trigger the next GC cycle.

    Example: 67108864

  • topAllocFunctions
    List

    Top functions ranked by heap allocation volume.

    Example: (nested array)

    • funcName
      String

      Fully-qualified function name including package path.

      Example: runtime.gcBgMarkWorker

    • package
      String

      Go package that contains this function.

      Example: runtime

    • selfPct
      Long

      Percentage of samples attributed solely to this function.

      Example: 12.5

    • cumulativePct
      Long

      Percentage of samples including callees of this function.

      Example: 18.3

    • sampleCount
      String

      Absolute number of profiling samples collected for this function.

      Example: 4200